tigase.workgroupqueues.data.memory

## Class MemoryStore

- java.lang.Object
- - tigase.workgroupqueues.data.memory.MemoryStore

- All Implemented Interfaces:
    DataSourceAware<DataRepository>, Repository, Store

      public class MemoryStore
      extends Object
      implements Store

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addWorkgroupQueue(WorkgroupQueueEntity queue)` Add queue entity to storage.
    `void` | `deleteWorkgroupQueue(BareJID queueJid)`
    `WorkgroupQueueEntity` | `getWorkgroupQueue(BareJID queueJID)` Loads queue entity from storage.
    `Collection<WorkgroupQueueEntity>` | `getWorkgroupQueues()` Returns collection of known queues.
    `void` | `initRepository(String s, Map<String,String> map)` Method is deprecated and should not be user any more.
    `void` | `setDataSource(DataRepository dataSource)` Method called to provide class with instance of a data source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryStore

          public MemoryStore()

  - ### Method Detail

    - #### addWorkgroupQueue

          public void addWorkgroupQueue(WorkgroupQueueEntity queue)

      Description copied from interface: `Store`
      Add queue entity to storage.
      Specified by:
        `addWorkgroupQueue` in interface `Store`
      Parameters:
        `queue` - queue to add.

    - #### deleteWorkgroupQueue

          public void deleteWorkgroupQueue(BareJID queueJid)

      Specified by:
        `deleteWorkgroupQueue` in interface `Store`

    - #### getWorkgroupQueue

          public WorkgroupQueueEntity getWorkgroupQueue(BareJID queueJID)

      Description copied from interface: `Store`
      Loads queue entity from storage.
      Specified by:
        `getWorkgroupQueue` in interface `Store`
      Parameters:
        `queueJID` - JID of queue.
      Returns:
        queue instance of `null` if queue doesn't exists.

    - #### getWorkgroupQueues

          public Collection<WorkgroupQueueEntity> getWorkgroupQueues()

      Description copied from interface: `Store`
      Returns collection of known queues.
      Specified by:
        `getWorkgroupQueues` in interface `Store`
      Returns:
        collection of queues.

    - #### initRepository

          public void initRepository(String s,
                                     Map<String,String> map)
                              throws DBInitException

      Description copied from interface: `Repository`
      Method is deprecated and should not be user any more.
      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Specified by:
        `initRepository` in interface `Repository`
      Parameters:
        `s` - value in most cases representing the database connection string.
        `map` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

    - #### setDataSource

          public void setDataSource(DataRepository dataSource)

      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataRepository>`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.